import request from '@/utils/request'

// 查询巡检项列表
export function listProj(query) {
  return request({
    url: '/park/proj/list',
    method: 'get',
    params: query
  })
}

// 查询巡检项详细
export function getProj(id) {
  return request({
    url: '/park/proj/' + id,
    method: 'get'
  })
}

// 新增巡检项
export function addProj(data) {
  return request({
    url: '/park/proj',
    method: 'post',
    data: data
  })
}

// 修改巡检项
export function updateProj(data) {
  return request({
    url: '/park/proj',
    method: 'put',
    data: data
  })
}

// 删除巡检项
export function delProj(id) {
  return request({
    url: '/park/proj/' + id,
    method: 'delete'
  })
}
